curl -X POST https://api.wirebox.sh/api/v1/webhooks/whk_01J8DEF456GHI789/rotate-secret \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
res = wirebox.webhooks.rotate_secret("whk_01J8DEF456GHI789")
print("New Secret:", res["secret"])
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const res = await wirebox.webhooks.rotateSecret("whk_01J8DEF456GHI789");
console.log("New Secret:", res.secret);
wirebox webhook rotate-secret whk_01J8DEF456GHI789
{
"id": "whk_01J8DEF456GHI789",
"secret": "whsec_9Z8y7x6w5v4u3t2s1r0qP9oN8mL7k",
"updated_at": "2026-09-11T12:30:00Z"
}
Webhooks
Rotate Webhook Secret
Immediately invalidate the current HMAC secret and generate a replacement secret.
POST
/
api
/
v1
/
webhooks
/
{id}
/
rotate-secret
curl -X POST https://api.wirebox.sh/api/v1/webhooks/whk_01J8DEF456GHI789/rotate-secret \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
res = wirebox.webhooks.rotate_secret("whk_01J8DEF456GHI789")
print("New Secret:", res["secret"])
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const res = await wirebox.webhooks.rotateSecret("whk_01J8DEF456GHI789");
console.log("New Secret:", res.secret);
wirebox webhook rotate-secret whk_01J8DEF456GHI789
{
"id": "whk_01J8DEF456GHI789",
"secret": "whsec_9Z8y7x6w5v4u3t2s1r0qP9oN8mL7k",
"updated_at": "2026-09-11T12:30:00Z"
}
Path Parameters
string
required
The unique webhook ID.
curl -X POST https://api.wirebox.sh/api/v1/webhooks/whk_01J8DEF456GHI789/rotate-secret \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
res = wirebox.webhooks.rotate_secret("whk_01J8DEF456GHI789")
print("New Secret:", res["secret"])
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const res = await wirebox.webhooks.rotateSecret("whk_01J8DEF456GHI789");
console.log("New Secret:", res.secret);
wirebox webhook rotate-secret whk_01J8DEF456GHI789
{
"id": "whk_01J8DEF456GHI789",
"secret": "whsec_9Z8y7x6w5v4u3t2s1r0qP9oN8mL7k",
"updated_at": "2026-09-11T12:30:00Z"
}